Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Document

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_Document

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDocument

    public class S_Document

extends S_TiePublicObject

The S_Document class. This class handles getting and setting of content.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_Document(S_LibrarySession session, java.lang.Long classId)` Construct a S_Document object.
`protected` | `S_Document(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_Document object.

Method Summary
`protected S_ContentQuota` | `checkQuotaSpecification(S_LibraryObjectDefinition def)` Checks to see if ContentQuota is specified in the definition.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition sdef)` Add to the S_LibraryObjectDefinition for this class.
`java.io.Serializable` | `DYNClearContentQuota(java.io.Serializable payload)` Bean-callable wrapper to clearContentQuota
`java.io.Serializable` | `DYNCloneContentObject(java.io.Serializable payload)` dynamic wrapper to cloneContentObject
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition def)` operations to be performed after creating an object.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition def)` extended operations to be performed after updating an object.
`protected void` | `extendedPreCopy(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed prior to creating an object copy.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` operations to be performed before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this object
`java.lang.String` | `getCharacterSet()` Gets the Iana character set of the content or null if not specified.
`protected long` | `getConsumedStorage()` Returns the size of the document as the consumed storage of the document.
`RandomAccessor` | `getContentByRandomAccess()` Gets a RandomAccessor for randomly reading the content of this document.
`S_ContentObject` | `getContentObject()`
`S_ContentQuota` | `getContentQuota()` Gets the S_ContentQuota for this object.
`java.io.Reader` | `getContentReader()` Gets the document content as a Reader
`long` | `getContentSize()` Gets the size of this document's content.
`java.io.InputStream` | `getContentStream()` Gets the document content as an InputStream.
`java.lang.String` | `getLanguage()` Gets the language of the content or null if not specified.
`protected void` | `postSecurityChangeAuditEvent(S_PublicObject domain, S_AccessControlList acl)` Posts an audit event for the security change operation.
`protected void` | `setContentObject(OperationState opState, S_LibraryObjectDefinition sdef, S_ContentQuota quota, boolean update)` This method is called by both insert and update.
`void` | `setOwnerHasRead(boolean readState)` change the value of the READBYOWNER attribute if the current user is the owner of the Document.
`RandomAccessor` | `updateContentByRandomAccess(S_LibraryObjectDefinition sdocdef, java.lang.Long expirationPeriod)` Gets a RandomAccessor for randomly writing and reading the content of this document.
`protected void` | `updateContentLastModifyDate(OperationState opState)` Updates the last modify date attribute on this documents contentobject.
`protected void` | `verifyCanGetContent()` Verifies that the user has getContent permission on this object
`protected void` | `verifyCanGetContent(S_ContentObject refco)` Verifies that the user has getContent permission on this object
`protected void` | `verifyCanSetContent()` Verifies that the user has setContent permission on this object

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostUndelete, extendedPreDelete, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_Document

    protected S_Document(S_LibrarySession session,
                         S_LibraryObjectData data)
                  throws IfsException

  Construct a S_Document object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException`
  (Unpublished)

### S_Document

    protected S_Document(S_LibrarySession session,
                         java.lang.Long classId)
                  throws IfsException

  Construct a S_Document object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition sdef)
                             throws IfsException

  Description copied from class: `S_Document`
  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `sdef` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_Document`
  Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_Document`
  operations to be performed after creating an object. This is overridden by classes that need to perform operations after successfully creating the rows for the new instance.

  Overrides:
    `extendedPostInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_Document`
  Update any system attributes appropriate for updating this object

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_Document`
  extended operations to be performed after updating an object. This is overridden by classes that need to perform operations after updating this object in the database, but before commit.

  Overrides:
    `extendedPostUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - the Operation state
    `def` - the S_LibraryObjectDefinition that contains the updates.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### updateContentLastModifyDate

    protected void updateContentLastModifyDate(OperationState opState)
                                        throws IfsException

  Description copied from class: `S_Document`
  Updates the last modify date attribute on this documents contentobject. This is updated only when the content is set as part of an insert or update operation

  Parameters:
    `opState` - the Operation state
  Throws:
    `IfsException` - if operation fails.

### DYNClearContentQuota

    public java.io.Serializable DYNClearContentQuota(java.io.Serializable payload)
                                              throws IfsException

  Description copied from class: `S_Document`
  Bean-callable wrapper to clearContentQuota

  Parameters:
    `payload` - ignored
  Returns:
    nothing
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_Document`
  operations to be performed before freeing an object.

  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Parameters:
    `opState` - the OperationState
    `def` - the Definition containing options for this operation
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreCopy

    protected void extendedPreCopy(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_Document`
  Operations to be performed prior to creating an object copy. The specified definition contains the simple copy made by invoking deriveDefinition() on the target object.

  Overrides:
    `extendedPreCopy` in class `S_PublicObject`
  Parameters:
    `opState` - the OperationState
    `sdef` - any modifications to make to the copied object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setContentObject

    protected void setContentObject(OperationState opState,
                                    S_LibraryObjectDefinition sdef,
                                    S_ContentQuota quota,
                                    boolean update)
                             throws IfsException

  Description copied from class: `S_Document`
  This method is called by both insert and update. Server classes should call update(def) instead of calling this method directly.

  Throws:
    `IfsException`
  (Unpublished)

### postSecurityChangeAuditEvent

    protected void postSecurityChangeAuditEvent(S_PublicObject domain,
                                                S_AccessControlList acl)
                                         throws IfsException

  Description copied from class: `S_Document`
  Posts an audit event for the security change operation.

  Overrides:
    `postSecurityChangeAuditEvent` in class `S_PublicObject`
  Parameters:
    `domain` - domain context
    `acl` - new ACL
  Throws:
    `IfsException` - if the operation fails

### DYNCloneContentObject

    public java.io.Serializable DYNCloneContentObject(java.io.Serializable payload)
                                               throws IfsException

  Description copied from class: `S_Document`
  dynamic wrapper to cloneContentObject

  Parameters:
    `payload` - the payload to clone
  Returns:
    nothing
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setOwnerHasRead

    public void setOwnerHasRead(boolean readState)
                         throws IfsException

  Description copied from class: `S_Document`
  change the value of the READBYOWNER attribute if the current user is the owner of the Document. Only perform this operation if it represents a change in state. This attribute speeds up readindication for applications that only deal with private Documents (e.g. messaging applications).

  Parameters:
    `readState` - - value to set for READBYOWNER
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentObject

    public S_ContentObject getContentObject()
                                     throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getConsumedStorage

    protected long getConsumedStorage()
                               throws IfsException

  Description copied from class: `S_Document`
  Returns the size of the document as the consumed storage of the document.

  Overrides:
    `getConsumedStorage` in class `S_PublicObject`
  Returns:
    size of the document in bytes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCharacterSet

    public java.lang.String getCharacterSet()
                                     throws IfsException

  Description copied from class: `S_Document`
  Gets the Iana character set of the content or null if not specified.

  Returns:
    character set in Java naming convention.
  Throws:
    `IfsException`
  (Published)

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `S_Document`
  Gets the language of the content or null if not specified.

  Returns:
    Oracle language string
  Throws:
    `IfsException`
  (Published)

### getContentQuota

    public S_ContentQuota getContentQuota()
                                   throws IfsException

  Description copied from class: `S_Document`
  Gets the S_ContentQuota for this object.

  Returns:
    the server-side ContentQuota object.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentStream

    public java.io.InputStream getContentStream()
                                         throws IfsException

  Description copied from class: `S_Document`
  Gets the document content as an InputStream.

  Returns:
    an InputStream of the content or null if this document does not have content
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getContentReader

    public java.io.Reader getContentReader()
                                    throws IfsException

  Description copied from class: `S_Document`
  Gets the document content as a Reader

  Returns:
    a Reader of the content or null if this document does not have content
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getContentByRandomAccess

    public RandomAccessor getContentByRandomAccess()
                                            throws IfsException

  Description copied from class: `S_Document`
  Gets a RandomAccessor for randomly reading the content of this document.

  Returns:
    a RandomAccessor, or null if this document does not have content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateContentByRandomAccess

    public RandomAccessor updateContentByRandomAccess(S_LibraryObjectDefinition sdocdef,
                                                      java.lang.Long expirationPeriod)
                                               throws IfsException

  Description copied from class: `S_Document`
  Gets a RandomAccessor for randomly writing and reading the content of this document.

  Parameters:
    `sdocdef` - a DocumentDefinition, as a S_LibraryObjectDefinition
    `expirationPeriod` - the expiration period for the RandomAccessor, in seconds, or null for the default expiration period
  Returns:
    a RandomAccessor, or null if the document has no content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentSize

    public long getContentSize()
                        throws IfsException

  Description copied from class: `S_Document`
  Gets the size of this document's content. It returns 0 (zero) if the content is zero length or if this document has a null ContentObject

  Returns:
    the size of the underlying content.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### verifyCanGetContent

    protected void verifyCanGetContent()
                                throws IfsException

  Description copied from class: `S_Document`
  Verifies that the user has getContent permission on this object

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanGetContent

    protected void verifyCanGetContent(S_ContentObject refco)
                                throws IfsException

  Description copied from class: `S_Document`
  Verifies that the user has getContent permission on this object

  Overrides:
    `verifyCanGetContent` in class `S_LibraryObject`
  Parameters:
    `refco` - the content object to verify against
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanSetContent

    protected void verifyCanSetContent()
                                throws IfsException

  Description copied from class: `S_Document`
  Verifies that the user has setContent permission on this object

  Overrides:
    `verifyCanSetContent` in class `S_LibraryObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### checkQuotaSpecification

    protected S_ContentQuota checkQuotaSpecification(S_LibraryObjectDefinition def)
                                              throws IfsException

  Description copied from class: `S_Document`
  Checks to see if ContentQuota is specified in the definition. If so, the requestor must be in admin mode.

  Parameters:
    `def` - server-side definition that might contain a ContentQuota specification
  Returns:
    the quota object if specified
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD